module Plugins::CamaleonMandrill::MainHelper

  def camaleon_mandrill_on_destroy(plugin)
  end

  def self.included(klass)
    # klass.helper_method [:my_helper_method] rescue "" # here your methods accessible from views
  end

  # here all actions on going to active
  # you can run sql commands like this:
  # results = ActiveRecord::Base.connection.execute(query);
  # plugin: plugin model
  def camaleon_mandrill_on_active(plugin)
    current_site.set_meta('mandrill_config',
                          {
                            smtp_username: '',
                            smtp_password: '',
                            default_from: 'admin@example.com'
                          })
  end

  # here all actions on going to inactive
  # plugin: plugin model
  def camaleon_mandrill_on_inactive(plugin)
  end

  # here all actions to upgrade for a new version
  # plugin: plugin model
  def camaleon_mandrill_on_upgrade(plugin)
  end

  def camaleon_mandrill_plugin_options(arg)
    arg[:links] << link_to(t('plugin.mandrill.settings.link_name'), admin_plugins_camaleon_mandrill_settings_path)
  end

  def camaleon_mandrill_email_late(plugin)
    mandrill_data_config = current_site.get_meta('mandrill_config')
    plugin[:mail_data][:from] = mandrill_data_config[:default_from]
    plugin[:mail_data][:delivery_method] = :smtp
    plugin[:mail_data][:delivery_method_options] = {
      user_name: mandrill_data_config[:smtp_username],
      password: mandrill_data_config[:smtp_password],
      address: 'smtp.mandrillapp.com',
      port: '587',
      domain: (current_site.the_url.to_s.parse_domain rescue 'localhost'),
      authentication: 'plain',
      enable_starttls_auto: true
    }
  end
end
